diff -r -c -N ../bzip2-1.0.6-old/bzlib.h ./bzlib.h
*** ../bzip2-1.0.6-old/bzlib.h	2010-09-11 01:08:42.000000000 +0200
--- ./bzlib.h	2014-10-09 21:41:18.358897587 +0200
***************
*** 66,73 ****
     bz_stream;
  
  
! #ifndef BZ_IMPORT
! #define BZ_EXPORT
  #endif
  
  #ifndef BZ_NO_STDIO
--- 66,73 ----
     bz_stream;
  
  
! #ifndef BZ_EXPORT
! #define BZ_IMPORT
  #endif
  
  #ifndef BZ_NO_STDIO
***************
*** 83,93 ****
  #   endif
  #   ifdef BZ_EXPORT
  #   define BZ_API(func) WINAPI func
! #   define BZ_EXTERN extern
  #   else
     /* import windows dll dynamically */
! #   define BZ_API(func) (WINAPI * func)
! #   define BZ_EXTERN
  #   endif
  #else
  #   define BZ_API(func) func
--- 83,93 ----
  #   endif
  #   ifdef BZ_EXPORT
  #   define BZ_API(func) WINAPI func
! #   define BZ_EXTERN __declspec(dllexport)
  #   else
     /* import windows dll dynamically */
! #   define BZ_API(func) WINAPI  func
! #   define BZ_EXTERN __declspec(dllimport)
  #   endif
  #else
  #   define BZ_API(func) func
diff -r -c -N ../bzip2-1.0.6-old/Makefile-libbz2_so ./Makefile-libbz2_so
*** ../bzip2-1.0.6-old/Makefile-libbz2_so	2010-09-11 01:07:52.000000000 +0200
--- ./Makefile-libbz2_so	2014-10-09 21:41:18.358897587 +0200
***************
*** 24,30 ****
  SHELL=/bin/sh
  CC=gcc
  BIGFILES=-D_FILE_OFFSET_BITS=64
! CFLAGS=-fpic -fPIC -Wall -Winline -O2 -g $(BIGFILES)
  
  OBJS= blocksort.o  \
        huffman.o    \
--- 24,30 ----
  SHELL=/bin/sh
  CC=gcc
  BIGFILES=-D_FILE_OFFSET_BITS=64
! CFLAGS=-Wall -Winline -O2 -g $(BIGFILES)
  
  OBJS= blocksort.o  \
        huffman.o    \
***************
*** 35,47 ****
        bzlib.o
  
  all: $(OBJS)
! 	$(CC) -shared -Wl,-soname -Wl,libbz2.so.1.0 -o libbz2.so.1.0.6 $(OBJS)
! 	$(CC) $(CFLAGS) -o bzip2-shared bzip2.c libbz2.so.1.0.6
! 	rm -f libbz2.so.1.0
! 	ln -s libbz2.so.1.0.6 libbz2.so.1.0
  
  clean: 
! 	rm -f $(OBJS) bzip2.o libbz2.so.1.0.6 libbz2.so.1.0 bzip2-shared
  
  blocksort.o: blocksort.c
  	$(CC) $(CFLAGS) -c blocksort.c
--- 35,45 ----
        bzlib.o
  
  all: $(OBJS)
! 	$(CC) -shared $(OBJS) -o bzip2_mingw.dll
! 	$(CC) $(CFLAGS) -o bzip2-shared bzip2.c bzip2_mingw.dll
  
  clean: 
! 	rm -f $(OBJS) bzip2.o bzip2_mingw.dll bzip2-shared
  
  blocksort.o: blocksort.c
  	$(CC) $(CFLAGS) -c blocksort.c
diff -r -c -N ../bzip2-1.0.6-old/Makefile.mak ./Makefile.mak
*** ../bzip2-1.0.6-old/Makefile.mak	1970-01-01 01:00:00.000000000 +0100
--- ./Makefile.mak	2014-10-09 21:41:18.358897587 +0200
***************
*** 0 ****
--- 1,68 ----
+ #
+ # This is a replacement for the makefile.msc file that comes with the
+ # bzip2 source distribution. The key differences are that this
+ # makefile performs both release and debug builds and makes DLLs
+ # instead of static libraries.
+ #
+ 
+ CC=cl
+ 
+ DEBUG_CFLAGS  = /c /DWIN32 /Fo.\Debug\ /MDd /Zi /Od /D_FILE_OFFSET_BITS=64 /DBZ_EXPORT /nologo
+ REL_CFLAGS    = /c /DWIN32 /Fo.\Release\ /MD /Ox /D_FILE_OFFSET_BITS=64 /DBZ_EXPORT /nologo
+ 
+ TOOL_CFLAGS   = /DWIN32 /MD /Od /D_FILE_OFFSET_BITS=64 /nologo
+ 
+ FILES 	      = DIR\blocksort.c  \
+       		DIR\huffman.c    \
+       		DIR\crctable.c   \
+       		DIR\randtable.c  \
+       		DIR\compress.c   \
+       		DIR\decompress.c \
+       		DIR\bzlib.c
+ 
+ SRCS	= $(FILES:DIR=.)
+ OBJS	= $(FILES:.c=.obj)
+ 
+ !if "$(CPP_COMPILER)" == "VC100"
+ DLLSUFFIX	= _vc100
+ !endif
+ 
+ all: debuglib releaselib bzip2
+ 
+ bzip2: releaselib
+ 	$(CC) $(TOOL_CFLAGS) /Febzip2 bzip2.c libbz2.lib setargv.obj
+ 	@if exist bzip2.exe.manifest echo ^ ^ ^ Embedding manifest using mt.exe && \
+ 	    mt.exe -nologo -manifest bzip2.exe.manifest -outputresource:bzip2.exe;#1 && del /q bzip2.exe.manifest
+ 	$(CC) $(TOOL_CFLAGS) /Febzip2recover bzip2recover.c
+ 	@if exist bzip2recover.exe.manifest echo ^ ^ ^ Embedding manifest using mt.exe && \
+ 	    mt.exe -nologo -manifest bzip2recover.exe.manifest -outputresource:bzip2recover.exe;#1 && \
+ 	    del /q bzip2recover.exe.manifest
+ 
+ debuglib: $(OBJS:DIR=.\Debug)
+ 	link  /dll /implib:libbz2d.lib /out:bzip2$(DLLSUFFIX)d.dll $**
+ 	@if exist bzip2$(DLLSUFFIX)d.dll.manifest echo ^ ^ ^ Embedding manifest using mt.exe && \
+ 	    mt.exe -nologo -manifest bzip2$(DLLSUFFIX)d.dll.manifest -outputresource:bzip2$(DLLSUFFIX)d.dll;#2 && \
+ 	    del /q bzip2$(DLLSUFFIX)d.dll.manifest
+ 
+ releaselib: $(OBJS:DIR=.\Release)
+ 	link  /dll /release /implib:libbz2.lib /out:bzip2$(DLLSUFFIX).dll $**
+ 	@if exist bzip2$(DLLSUFFIX).dll.manifest echo ^ ^ ^ Embedding manifest using mt.exe && \
+ 	    mt.exe -nologo -manifest bzip2$(DLLSUFFIX).dll.manifest -outputresource:bzip2$(DLLSUFFIX).dll;#2 && \
+ 	    del /q bzip2$(DLLSUFFIX).dll.manifest
+ 
+ $(OBJS:DIR=.\Debug): $(SRCS)
+ 	if not exist .\Debug mkdir .\Debug
+ 	$(CC) $(DEBUG_CFLAGS) $?
+ 
+ $(OBJS:DIR=.\Release): $(SRCS)
+ 	if not exist .\Release mkdir .\Release
+ 	$(CC) $(REL_CFLAGS) $?
+ 
+ clean: 
+ 	del *.obj
+ 	del .\Release\*.obj
+ 	del .\Debug\*.obj
+ 	del bzip2*.dll
+ 	del libbz*.lib
+ 	del bzip2.exe
+ 	del bzip2recover.exe
